<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Module rankings provide details about the reliability and impact of an exploit on a target system. " /><title>Module Rankings</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/module-rankings.html">Open topic with navigation</a>
        </p>
        <h1>Module Rankings</h1>
        <p>Module rankings<a name="kanchor46"></a> provide details about the reliability and impact of an exploit on a target system. Every module in the Metasploit Framework has a ranking, which is based on how likely the exploit will disrupt the service. </p>
        <p>
There are six possible rankings. The higher rankings indicate that the exploit is less likely to cause instability or crash the target system.</p>
        <p>
Use the following rankings to determine the reliability of a module: </p>
        <ul>
            <li value="1"><b class="UISelection">Low </b>- The exploit is unstable and unlikely to be successful. Do not use exploits with a low ranking.</li>
            <li value="2"><b class="UISelection">Average </b>- The exploit can be unstable and unreliable. Do not use exploits with a normal ranking.</li>
            <li value="3"><b class="UISelection">Normal </b>- The exploit is generally reliable, but cannot auto-detect the default target</li>
            <li value="4"><b class="UISelection">Good </b>- The exploit has a default target.</li>
            <li value="5"><b class="UISelection">Great </b>- The exploit has a default target and can automatically detect the correct target.</li>
            <li value="6"><b class="UISelection">Excellent </b>- The exploit never crashes the service. Examples of exploits that have an excellent ranking are SQL injections and CMD executions.</li>
        </ul>
    </body>
</html>